Package com.sleepycat.persist.evolve

## Class EvolveConfig

- java.lang.Object
- - com.sleepycat.persist.evolve.EvolveConfig

- All Implemented Interfaces:
    `java.lang.Cloneable`

      public class EvolveConfig
      extends java.lang.Object
      implements java.lang.Cloneable

  Configuration properties for eager conversion of unevolved objects. This configuration is used with `EntityStore.evolve`.
  See Also:
    `Class Evolution`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EvolveConfig()` | Creates an evolve configuration with default properties.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EvolveConfig` | `addClassToEvolve​(java.lang.String entityClass)` | Adds an entity class for a primary index to be converted.
    `EvolveConfig` | `clone()` | Returns a shallow copy of the configuration.
    `EvolveConfig` | `cloneConfig()` | Deprecated. As of JE 4.0.13, replaced by `clone()`.
    `java.util.Set<java.lang.String>` | `getClassesToEvolve()` | Returns an unmodifiable set of the entity classes to be evolved.
    `EvolveListener` | `getEvolveListener()` | Returns the progress listener that is notified each time an entity is read.
    `EvolveConfig` | `setEvolveListener​(EvolveListener listener)` | Sets a progress listener that is notified each time an entity is read.
    `void` | `setEvolveListenerVoid​(EvolveListener listener)` | The void return setter for use by Bean editors.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EvolveConfig

          public EvolveConfig()

      Creates an evolve configuration with default properties.

  - ### Method Detail

    - #### cloneConfig

          @Deprecated
          public EvolveConfig cloneConfig()

      Deprecated.
      As of JE 4.0.13, replaced by `clone()`.
      Returns a shallow copy of the configuration.
      Returns:
        a shallow copy of the configuration.

    - #### clone

          public EvolveConfig clone()

      Returns a shallow copy of the configuration.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### addClassToEvolve

          public EvolveConfig addClassToEvolve​(java.lang.String entityClass)

      Adds an entity class for a primary index to be converted. If no classes are added, all indexes that require evolution will be converted.
      Parameters:
        `entityClass` - the entity class name.
      Returns:
        'this'.

    - #### getClassesToEvolve

          public java.util.Set<java.lang.String> getClassesToEvolve()

      Returns an unmodifiable set of the entity classes to be evolved.
      Returns:
        an unmodifiable set of the entity classes to be evolved.

    - #### setEvolveListener

          public EvolveConfig setEvolveListener​(EvolveListener listener)

      Sets a progress listener that is notified each time an entity is read.
      Parameters:
        `listener` - the EvolveListener.
      Returns:
        'this'.

    - #### setEvolveListenerVoid

          public void setEvolveListenerVoid​(EvolveListener listener)

      The void return setter for use by Bean editors.
      Parameters:
        `listener` - the EvolveListener.

    - #### getEvolveListener

          public EvolveListener getEvolveListener()

      Returns the progress listener that is notified each time an entity is read.
      Returns:
        the EvolveListener.

Copyright (c) 1996, 2020 Oracle and/or its affiliates. All rights reserved.